import { Router } from 'express'
import { TwitchAPI } from '../util/scraping/extractor/index'

const profileRouter = Router()
const twitch = new TwitchAPI()

profileRouter.get('/users/:username', async (req, res, next) => {
    const username = req.params.username

    let streamerData = await twitch.getStreamerInfo(username)
        .catch(next)

    if (streamerData)
        res.send(streamerData)
})

profileRouter.get('/discover', async (req, res, next) => {
    let discoveryData = await twitch.getDirectory(50)
    res.send(discoveryData)
})

profileRouter.get('/discover/:game', async (req, res, next) => {
    let discoveryData = await twitch.getDirectoryGame(req.params.game, 50)
    res.send(discoveryData)
})

export default profileRouter